Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OFF_SRC/nemogcm.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OFF_SRC/nemogcm.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OFF_SRC/nemogcm.F90	(revision 9124)
@@ -130,5 +130,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )   CALL timing_finalize
+      IF( ln_timing )   CALL timing_finalize
       !
       CALL nemo_closefile
@@ -380,10 +380,4 @@
       isplt     = nn_isplt
       jsplt     = nn_jsplt
-!!gm to be remove at the end of the 2017 merge party
-      if( ln_timing ) then  ;  nn_timing = 1
-      else                  ;  nn_timing = 0
-      endif
-!!gm end
-
 
       IF(lwp) THEN                  ! control print
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 9124)
@@ -87,5 +87,5 @@
       !!---------------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )   CALL timing_start('bdy_dta')
+      IF( ln_timing )   CALL timing_start('bdy_dta')
       !
       ! Initialise data arrays once for all from initial conditions where required
@@ -395,5 +395,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 ) CALL timing_stop('bdy_dta')
+      IF( ln_timing )   CALL timing_stop('bdy_dta')
       !
    END SUBROUTINE bdy_dta
@@ -441,6 +441,4 @@
       !!---------------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )   CALL timing_start('bdy_dta_init')
-      !
       IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) 'bdy_dta_ini : initialization of data at the open boundaries'
@@ -827,6 +825,4 @@
       END DO ! jbdy 
       !
-      IF( nn_timing == 1 ) CALL timing_stop('bdy_dta_init')
-      !
    END SUBROUTINE bdy_dta_init
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn.F90	(revision 9124)
@@ -17,5 +17,4 @@
    !!----------------------------------------------------------------------
    USE wrk_nemo        ! Memory Allocation
-   USE timing          ! Timing
    USE oce             ! ocean dynamics and tracers 
    USE dom_oce         ! ocean space and time domain
@@ -53,6 +52,4 @@
       REAL(wp), POINTER, DIMENSION(:,:) :: pua2d, pva2d     ! after barotropic velocities
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )   CALL timing_start('bdy_dyn')
       !
       ll_dyn2d = .true.
@@ -129,6 +126,4 @@
       CALL wrk_dealloc( jpi,jpj,  pua2d, pva2d ) 
       !
-      IF( nn_timing == 1 )   CALL timing_stop('bdy_dyn')
-      !
    END SUBROUTINE bdy_dyn
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn2d.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn2d.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn2d.F90	(revision 9124)
@@ -14,5 +14,4 @@
    !!   bdy_ssh            : Duplicate sea level across open boundaries
    !!----------------------------------------------------------------------
-   USE timing          ! Timing
    USE oce             ! ocean dynamics and tracers 
    USE dom_oce         ! ocean space and time domain
@@ -95,6 +94,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 ) CALL timing_start('bdy_dyn2d_frs')
-      !
       igrd = 2                      ! Relaxation of zonal velocity
       DO jb = 1, idx%nblen(igrd)
@@ -115,7 +112,4 @@
       CALL lbc_bdy_lnk( pva2d, 'V', -1., ib_bdy)   ! Boundary points should be updated
       !
-      IF( nn_timing == 1 ) CALL timing_stop('bdy_dyn2d_frs')
-      !
-
    END SUBROUTINE bdy_dyn2d_frs
 
@@ -153,6 +147,4 @@
       REAL(wp) ::   zflag, z1_2                      !    "        "
       !!----------------------------------------------------------------------
-
-      IF( nn_timing == 1 ) CALL timing_start('bdy_dyn2d_fla')
 
       z1_2 = 0.5_wp
@@ -218,6 +210,4 @@
       CALL lbc_bdy_lnk( pva2d, 'V', -1., ib_bdy )   !
       !
-      IF( nn_timing == 1 ) CALL timing_stop('bdy_dyn2d_fla')
-      !
    END SUBROUTINE bdy_dyn2d_fla
 
@@ -244,6 +234,4 @@
       INTEGER  ::   ii, ij, iibm1, ijbm1                   ! indices
       !!----------------------------------------------------------------------
-
-      IF( nn_timing == 1 ) CALL timing_start('bdy_dyn2d_orlanski')
       !
       igrd = 2      ! Orlanski bc on u-velocity; 
@@ -258,7 +246,6 @@
       CALL lbc_bdy_lnk( pva2d, 'V', -1., ib_bdy )   !
       !
-      IF( nn_timing == 1 ) CALL timing_stop('bdy_dyn2d_orlanski')
-      !
    END SUBROUTINE bdy_dyn2d_orlanski
+
 
    SUBROUTINE bdy_ssh( zssh )
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn3d.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn3d.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn3d.F90	(revision 9124)
@@ -80,6 +80,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 ) CALL timing_start('bdy_dyn3d_spe')
-      !
       igrd = 2                      ! Relaxation of zonal velocity
       DO jb = 1, idx%nblenrim(igrd)
@@ -104,7 +102,6 @@
       IF( kt == nit000 )   CLOSE( unit = 102 )
       !
-      IF( nn_timing == 1 ) CALL timing_stop('bdy_dyn3d_spe')
-      !
    END SUBROUTINE bdy_dyn3d_spe
+
 
    SUBROUTINE bdy_dyn3d_zgrad( idx, dta, kt , ib_bdy )
@@ -126,6 +123,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 ) CALL timing_start('bdy_dyn3d_zgrad')
-      !
       igrd = 2                      ! Copying tangential velocity into bdy points
       DO jb = 1, idx%nblenrim(igrd)
@@ -152,9 +147,8 @@
       CALL lbc_bdy_lnk( va, 'V', -1., ib_bdy )   
       !
-      IF( kt .eq. nit000 ) CLOSE( unit = 102 )
-
-      IF( nn_timing == 1 ) CALL timing_stop('bdy_dyn3d_zgrad')
-
+      IF( kt == nit000 )   CLOSE( unit = 102 )
+      !
    END SUBROUTINE bdy_dyn3d_zgrad
+
 
    SUBROUTINE bdy_dyn3d_zro( idx, dta, kt, ib_bdy )
@@ -174,6 +168,4 @@
       REAL(wp) ::   zwgt           ! boundary weight
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 ) CALL timing_start('bdy_dyn3d_zro')
       !
       igrd = 2                       ! Everything is at T-points here
@@ -199,6 +191,4 @@
       IF( kt == nit000 )   CLOSE( unit = 102 )
       !
-      IF( nn_timing == 1 )   CALL timing_stop('bdy_dyn3d_zro')
-      !
    END SUBROUTINE bdy_dyn3d_zro
 
@@ -225,6 +215,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 ) CALL timing_start('bdy_dyn3d_frs')
-      !
       igrd = 2                      ! Relaxation of zonal velocity
       DO jb = 1, idx%nblen(igrd)
@@ -250,6 +238,4 @@
       !
       IF( kt == nit000 )   CLOSE( unit = 102 )
-      !
-      IF( nn_timing == 1 )   CALL timing_stop('bdy_dyn3d_frs')
       !
    END SUBROUTINE bdy_dyn3d_frs
@@ -273,6 +259,4 @@
       INTEGER  ::   jb, igrd                               ! dummy loop indices
       !!----------------------------------------------------------------------
-
-      IF( nn_timing == 1 ) CALL timing_start('bdy_dyn3d_orlanski')
       !
       !! Note that at this stage the ub and ua arrays contain the baroclinic velocities. 
@@ -289,6 +273,4 @@
       CALL lbc_bdy_lnk( va, 'V', -1., ib_bdy )   
       !
-      IF( nn_timing == 1 ) CALL timing_stop('bdy_dyn3d_orlanski')
-      !
    END SUBROUTINE bdy_dyn3d_orlanski
 
@@ -309,5 +291,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )   CALL timing_start('bdy_dyn3d_dmp')
+      IF( ln_timing )   CALL timing_start('bdy_dyn3d_dmp')
       !
       DO ib_bdy=1, nb_bdy
@@ -339,7 +321,8 @@
       CALL lbc_lnk_multi( ua, 'U', -1.,  va, 'V', -1. )   ! Boundary points should be updated
       !
-      IF( nn_timing == 1 )   CALL timing_stop('bdy_dyn3d_dmp')
+      IF( ln_timing )   CALL timing_stop('bdy_dyn3d_dmp')
       !
    END SUBROUTINE bdy_dyn3d_dmp
+
 
    SUBROUTINE bdy_dyn3d_nmn( idx, ib_bdy )
@@ -357,6 +340,4 @@
       INTEGER  ::   jb, igrd                               ! dummy loop indices
       !!----------------------------------------------------------------------
-
-      IF( nn_timing == 1 ) CALL timing_start('bdy_dyn3d_nmn')
       !
       !! Note that at this stage the ub and ua arrays contain the baroclinic velocities. 
@@ -373,6 +354,4 @@
       CALL lbc_bdy_lnk( va, 'V', -1., ib_bdy )
       !
-      IF( nn_timing == 1 ) CALL timing_stop('bdy_dyn3d_nmn')
-      !
    END SUBROUTINE bdy_dyn3d_nmn
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdyice.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdyice.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdyice.F90	(revision 9124)
@@ -58,4 +58,6 @@
       !!----------------------------------------------------------------------
       !
+      IF( ln_timing )   CALL timing_start('bdy_ice')
+      !
       CALL ice_var_glo2eqv
       !
@@ -63,8 +65,6 @@
          !
          SELECT CASE( cn_ice_lim(ib_bdy) )
-         CASE('none')
-            CYCLE
-         CASE('frs')
-            CALL bdy_ice_frs( idx_bdy(ib_bdy), dta_bdy(ib_bdy), kt, ib_bdy )
+         CASE('none')   ;   CYCLE
+         CASE('frs' )   ;   CALL bdy_ice_frs( idx_bdy(ib_bdy), dta_bdy(ib_bdy), kt, ib_bdy )
          CASE DEFAULT
             CALL ctl_stop( 'bdy_ice : unrecognised option for open boundaries for ice fields' )
@@ -73,7 +73,9 @@
       END DO
       !
-                        CALL ice_var_zapsmall
-                        CALL ice_var_agg(1)
+      CALL ice_var_zapsmall
+      CALL ice_var_agg(1)
+      !
       IF( ln_icectl )   CALL ice_prt( kt, iiceprt, jiceprt, 1, ' - ice thermo bdy - ' )
+      IF( ln_timing )   CALL timing_stop('bdy_ice')
       !
    END SUBROUTINE bdy_ice
@@ -102,6 +104,4 @@
       REAL(wp) ::   ztmelts, zdh
       !!------------------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('bdy_ice_frs')
       !
       jgrd = 1      ! Everything is at T-points here
@@ -255,6 +255,4 @@
       IF( jpl > 1 )   CALL ice_itd_reb( kt )
       !      
-      IF( ln_timing )   CALL timing_stop('bdy_ice_frs')
-      !
    END SUBROUTINE bdy_ice_frs
 
@@ -277,6 +275,4 @@
       REAL(wp) ::   zmsk1, zmsk2, zflag
       !!------------------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('bdy_ice_dyn')
       !
       DO ib_bdy=1, nb_bdy
@@ -355,6 +351,4 @@
       END DO
       !
-      IF( ln_timing )   CALL timing_stop('bdy_ice_dyn')
-      !
     END SUBROUTINE bdy_ice_dyn
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 9124)
@@ -29,5 +29,4 @@
    USE lib_mpp        ! for mpp_sum  
    USE iom            ! I/O
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -74,6 +73,4 @@
       INTEGER  ::   ios                 ! Local integer output status for namelist read
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )   CALL timing_start('bdy_init')
 
       ! ------------------------
@@ -112,6 +109,4 @@
          !
       ENDIF
-      !
-      IF( nn_timing == 1 )   CALL timing_stop('bdy_init')
       !
    END SUBROUTINE bdy_init
@@ -156,6 +151,4 @@
       INTEGER  ::   ios                 ! Local integer output status for namelist read
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )   CALL timing_start('bdy_segs')
       !
       cgrid = (/'t','u','v'/)
@@ -1314,6 +1307,4 @@
       IF( nb_bdy>0 )   DEALLOCATE( nbidta, nbjdta, nbrdta )
       !
-      IF( nn_timing == 1 )   CALL timing_stop('bdy_segs')
-      !
    END SUBROUTINE bdy_segs
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdylib.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdylib.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdylib.F90	(revision 9124)
@@ -18,5 +18,4 @@
    USE in_out_manager !
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -51,6 +50,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 ) CALL timing_start('bdy_frs')
-      ! 
       igrd = 1                       ! Everything is at T-points here
       DO ib = 1, idx%nblen(igrd)
@@ -63,7 +60,6 @@
       END DO
       !
-      IF( nn_timing == 1 ) CALL timing_stop('bdy_frs')
-      !
    END SUBROUTINE bdy_frs
+
 
    SUBROUTINE bdy_spe( idx, pta, dta )
@@ -82,6 +78,4 @@
       INTEGER  ::   ii, ij         ! 2D addresses
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 ) CALL timing_start('bdy_spe')
       !
       igrd = 1                       ! Everything is at T-points here
@@ -94,7 +88,6 @@
       END DO
       !
-      IF( nn_timing == 1 ) CALL timing_stop('bdy_spe')
-      !
    END SUBROUTINE bdy_spe
+
 
    SUBROUTINE bdy_orl( idx, ptb, pta, dta, ll_npo )
@@ -115,13 +108,10 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 ) CALL timing_start('bdy_orl')
-      !
       igrd = 1                       ! Everything is at T-points here
       !
       CALL bdy_orlanski_3d( idx, igrd, ptb(:,:,:), pta(:,:,:), dta, ll_npo )
       !
-      IF( nn_timing == 1 ) CALL timing_stop('bdy_orl')
-      !
    END SUBROUTINE bdy_orl
+
 
    SUBROUTINE bdy_orlanski_2d( idx, igrd, phib, phia, phi_ext, ll_npo )
@@ -161,6 +151,4 @@
       REAL(wp), POINTER, DIMENSION(:,:)          :: pe_ydif    ! scale factors for y-derivatives
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )   CALL timing_start('bdy_orlanski_2d')
       !
       ! ----------------------------------!
@@ -279,6 +267,4 @@
       END DO
       !
-      IF( nn_timing == 1 )   CALL timing_stop('bdy_orlanski_2d')
-      !
    END SUBROUTINE bdy_orlanski_2d
 
@@ -320,6 +306,4 @@
       REAL(wp), POINTER, DIMENSION(:,:)          :: pe_ydif    ! scale factors for y-derivatives
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )   CALL timing_start('bdy_orlanski_3d')
       !
       ! ----------------------------------!
@@ -441,6 +425,4 @@
       END DO
       !
-      IF( nn_timing == 1 )   CALL timing_stop('bdy_orlanski_3d')
-      !
    END SUBROUTINE bdy_orlanski_3d
 
@@ -462,6 +444,4 @@
       INTEGER  ::   ii, ij, ip, jp   ! 2D addresses
       !!----------------------------------------------------------------------
-      !!
-      IF( nn_timing == 1 ) CALL timing_start('bdy_nmn')
       !
       SELECT CASE(igrd)
@@ -514,6 +494,4 @@
       END DO
       !
-      IF( nn_timing == 1 ) CALL timing_stop('bdy_nmn')
-      !
    END SUBROUTINE bdy_nmn
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 9124)
@@ -26,5 +26,4 @@
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
    USE wrk_nemo       ! Memory allocation
-   USE timing         ! timing
 
    IMPLICIT NONE
@@ -83,6 +82,4 @@
       NAMELIST/nambdy_tide/filtide, ln_bdytide_2ddta, ln_bdytide_conj
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )   CALL timing_start('bdytide_init')
       !
       IF (nb_bdy>0) THEN
@@ -270,6 +267,4 @@
       END DO ! loop on ib_bdy
       !
-      IF( nn_timing == 1 )   CALL timing_stop('bdytide_init')
-      !
    END SUBROUTINE bdytide_init
 
@@ -300,6 +295,4 @@
       REAL(wp), DIMENSION(jpmax_harmo) :: z_sist, z_cost
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )   CALL timing_start('bdytide_update')
       !
       ilen0(1) =  SIZE(td%ssh(:,1,1))
@@ -363,6 +356,4 @@
       END DO
       !
-      IF( nn_timing == 1 )   CALL timing_stop('bdytide_update')
-      !
    END SUBROUTINE bdytide_update
 
@@ -391,6 +382,4 @@
       REAL(wp) ::   z_arg, z_sarg, zramp, zoff, z_cost, z_sist      
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )   CALL timing_start('bdy_dta_tides')
       !
       lk_first_btstp=.TRUE.
@@ -485,6 +474,4 @@
          END IF
       END DO
-      !
-      IF( nn_timing == 1 ) CALL timing_stop('bdy_dta_tides')
       !
    END SUBROUTINE bdy_dta_tides
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdytra.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdytra.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdytra.F90	(revision 9124)
@@ -78,4 +78,5 @@
    END SUBROUTINE bdy_tra
 
+
    SUBROUTINE bdy_rnf( idx, pta, jpa )
       !!----------------------------------------------------------------------
@@ -96,6 +97,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )   CALL timing_start('bdy_rnf')
-      !
       igrd = 1                       ! Everything is at T-points here
       DO ib = 1, idx%nblenrim(igrd)
@@ -110,7 +109,6 @@
       END DO
       !
-      IF( nn_timing == 1 )   CALL timing_stop('bdy_rnf')
-      !
    END SUBROUTINE bdy_rnf
+
 
    SUBROUTINE bdy_tra_dmp( kt )
@@ -130,5 +128,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )   CALL timing_start('bdy_tra_dmp')
+      IF( ln_timing )   CALL timing_start('bdy_tra_dmp')
       !
       DO ib_bdy = 1, nb_bdy
@@ -149,5 +147,5 @@
       END DO
       !
-      IF( nn_timing == 1 )   CALL timing_stop('bdy_tra_dmp')
+      IF( ln_timing )   CALL timing_stop('bdy_tra_dmp')
       !
    END SUBROUTINE bdy_tra_dmp
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdyvol.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdyvol.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdyvol.F90	(revision 9124)
@@ -19,5 +19,4 @@
    USE in_out_manager ! I/O manager
    USE lib_mpp        ! for mppsum
-   USE timing         ! Timing
    USE lib_fortran    ! Fortran routines library
 
@@ -73,6 +72,4 @@
       TYPE(OBC_INDEX), POINTER :: idx
       !!-----------------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )   CALL timing_start('bdy_vol')
       !
       IF( ln_vol ) THEN
@@ -165,6 +162,4 @@
       END IF 
       !
-      IF( nn_timing == 1 )   CALL timing_stop('bdy_vol')
-      !
       END IF ! ln_vol
       !
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/C1D/domc1d.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/C1D/domc1d.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/C1D/domc1d.F90	(revision 9124)
@@ -18,5 +18,4 @@
    USE in_out_manager ! I/O manager (ctmp1)
    USE wrk_nemo                      ! Memory allocation
-   USE timing                        ! Timing
 
    IMPLICIT NONE
@@ -68,6 +67,4 @@
       !!----------------------------------------------------------------------
 
-      IF( nn_timing == 1 )   CALL timing_start('dom_c1d')
-
       REWIND( numnam_ref )              ! Namelist namdom in reference namelist : space & time domain (bathymetry, mesh, timestep)
       READ  ( numnam_ref, namdom, IOSTAT = ios, ERR = 901 )
@@ -198,6 +195,4 @@
       ENDIF
       !
-      IF( nn_timing == 1 )   CALL timing_stop('dom_c1d')
-      !
    END SUBROUTINE dom_c1d
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/C1D/dtauvd.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/C1D/dtauvd.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/C1D/dtauvd.F90	(revision 9124)
@@ -58,6 +58,4 @@
       NAMELIST/namc1d_uvd/ ln_uvd_init, ln_uvd_dyndmp, cn_dir, sn_ucur, sn_vcur
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )   CALL timing_start('dta_uvd_init')
       !
       ierr0 = 0   ;   ierr1 = 0   ;   ierr2 = 0  ;   ierr3 = 0
@@ -117,6 +115,4 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('dta_uvd_init')
-      !
    END SUBROUTINE dta_uvd_init
 
@@ -146,5 +142,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )   CALL timing_start('dta_uvd')
+      IF( ln_timing )   CALL timing_start('dta_uvd')
       !
       CALL fld_read( kt, 1, sf_uvd )      !==   read U & V current data at time step kt   ==!
@@ -223,5 +219,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('dta_uvd')
+      IF( ln_timing )   CALL timing_stop('dta_uvd')
       !
    END SUBROUTINE dta_uvd
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/C1D/dyndmp.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/C1D/dyndmp.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/C1D/dyndmp.F90	(revision 9124)
@@ -157,5 +157,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start( 'dyn_dmp' )
+      IF( ln_timing )   CALL timing_start( 'dyn_dmp' )
       !
       CALL wrk_alloc( jpi,jpj,jpk,2,   zuv_dta )
@@ -227,5 +227,5 @@
       CALL wrk_dealloc( jpi,jpj,jpk,2,   zuv_dta )
       !
-      IF( nn_timing == 1 )  CALL timing_stop( 'dyn_dmp')
+      IF( ln_timing )   CALL timing_stop( 'dyn_dmp')
       !
    END SUBROUTINE dyn_dmp
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/CRS/crsdomwri.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/CRS/crsdomwri.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/CRS/crsdomwri.F90	(revision 9124)
@@ -3,10 +3,5 @@
    !! Coarse Ocean initialization : write the coarse ocean domain mesh and mask files
    !!======================================================================
-   !! History :  OPA  ! 1997-02  (G. Madec)  Original code
-   !!            8.1  ! 1999-11  (M. Imbard)  NetCDF FORMAT with IOIPSL
-   !!   NEMO     1.0  ! 2002-08  (G. Madec)  F90 and several file
-   !!            3.0  ! 2008-01  (S. Masson) add dom_uniq_crs
-   !!            4.0  ! 2011-01  (A. R. Porter, STFC Daresbury) dynamical allocation
-   !!                 ! 2012-06  (J. Simeon, C. Calone, C Ethe )  Reduced and modified for coarse grid
+   !! History :  3.6   ! 2012-06  (J. Simeon, C. Calone, C Ethe )  from domwri, reduced and modified for coarse grid
    !!----------------------------------------------------------------------
 
@@ -25,6 +20,4 @@
    USE crslbclnk       ! crs mediator to lbclnk
    USE wrk_nemo        ! Working array
-
-
 
    IMPLICIT NONE
@@ -74,6 +67,4 @@
       REAL(wp), POINTER, DIMENSION(:,:  ) :: ze3tp, ze3wp
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )  CALL timing_start('crs_dom_wri')
       !
       CALL wrk_alloc( jpi_crs, jpj_crs,      zprt , zprw  )
@@ -302,7 +293,4 @@
       CALL wrk_dealloc( jpi_crs, jpj_crs, jpk, zdepu, zdepv )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('crs_dom_wri')
-      !
-      
    END SUBROUTINE crs_dom_wri
 
@@ -327,6 +315,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('crs_dom_uniq_crs')
-      !
       CALL wrk_alloc( jpi_crs, jpj_crs, ztstref )
       !
@@ -347,7 +333,4 @@
       CALL wrk_dealloc( jpi_crs, jpj_crs, ztstref )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('crs_dom_uniq_crs')
-      !
-      
    END SUBROUTINE dom_uniq_crs
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/CRS/crsfld.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/CRS/crsfld.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/CRS/crsfld.F90	(revision 9124)
@@ -64,5 +64,5 @@
       !!----------------------------------------------------------------------
       ! 
-      IF( nn_timing == 1 )   CALL timing_start('crs_fld')
+      IF( ln_timing )   CALL timing_start('crs_fld')
 
       ! Depth work arrrays
@@ -243,5 +243,5 @@
       CALL iom_swap( "nemo" )     ! return back on high-resolution grid
       !
-      IF( nn_timing == 1 )   CALL timing_stop('crs_fld')
+      IF( ln_timing )   CALL timing_stop('crs_fld')
       !
    END SUBROUTINE crs_fld
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/CRS/crsini.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/CRS/crsini.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/CRS/crsini.F90	(revision 9124)
@@ -23,5 +23,4 @@
    USE lib_mpp
    USE wrk_nemo 
-   USE timing                   ! Timing
 
    IMPLICIT NONE
@@ -78,6 +77,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('crs_init')
-      !
       IF(lwp) THEN
          WRITE(numout,*)
@@ -250,6 +247,4 @@
       CALL wrk_dealloc( jpi,jpj,jpk,   ze3t, ze3u, ze3v, ze3w )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('crs_init')
-      !
    END SUBROUTINE crs_init
     
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diaar5.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diaar5.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diaar5.F90	(revision 9124)
@@ -13,13 +13,14 @@
    USE dom_oce        ! ocean space and time domain
    USE eosbn2         ! equation of state                (eos_bn2 routine)
-   USE lib_mpp        ! distribued memory computing library
-   USE iom            ! I/O manager library
-   USE timing         ! preformance summary
-   USE wrk_nemo       ! working arrays
-   USE fldread        ! type FLD_N
    USE phycst         ! physical constant
    USE in_out_manager  ! I/O manager
    USE zdfddm
    USE zdf_oce
+   !
+   USE lib_mpp        ! distribued memory computing library
+   USE iom            ! I/O manager library
+   USE fldread        ! type FLD_N
+   USE timing         ! preformance summary
+   USE wrk_nemo       ! working arrays
 
    IMPLICIT NONE
@@ -80,5 +81,5 @@
       REAL(wp), POINTER, DIMENSION(:,:,:,:) :: ztsn                       ! 4D workspace
       !!--------------------------------------------------------------------
-      IF( nn_timing == 1 )   CALL timing_start('dia_ar5')
+      IF( ln_timing )   CALL timing_start('dia_ar5')
  
       IF( kt == nit000 )     CALL dia_ar5_init
@@ -255,7 +256,8 @@
       ENDIF
       !
-      IF( nn_timing == 1 )   CALL timing_stop('dia_ar5')
+      IF( ln_timing )   CALL timing_stop('dia_ar5')
       !
    END SUBROUTINE dia_ar5
+
 
    SUBROUTINE dia_ar5_hst( ktra, cptr, pua, pva ) 
@@ -332,6 +334,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )   CALL timing_start('dia_ar5_init')
-      !
       l_ar5 = .FALSE.
       IF(   iom_use( 'voltot'  ) .OR. iom_use( 'sshtot'    )  .OR. iom_use( 'sshdyn' )  .OR.  & 
@@ -380,6 +380,4 @@
       ENDIF
       !
-      IF( nn_timing == 1 )   CALL timing_stop('dia_ar5_init')
-      !
    END SUBROUTINE dia_ar5_init
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diacfl.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diacfl.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diacfl.F90	(revision 9124)
@@ -60,5 +60,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )   CALL timing_start('dia_cfl')
+      IF( ln_timing )   CALL timing_start('dia_cfl')
       !
       !                       ! setup timestep multiplier to account for initial Eulerian timestep
@@ -138,5 +138,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )   CALL timing_stop('dia_cfl')
+      IF( ln_timing )   CALL timing_stop('dia_cfl')
       !
    END SUBROUTINE dia_cfl
